<?php
 
session_start();
include("DMMYSQLG.php");
include("JQUERY.inc");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
	include('cat_cargos_CL.php');
	$varible_clase = new clase();
	$varible_clase->n_reg=$_POST["bot"];
	if(!isset($_POST['cod_var']))$_POST['cod_var']="";
	$varible_clase->cod_var=strtoupper($_POST["cod_var"]);
	$varible_clase->pclave=strtoupper($_POST["pclave"]);
	$varible_clase->descripcion=strtoupper($_POST["tap2"]);
	$varible_clase->pmontomax=strtoupper($_POST["select2"]);
	$varible_clase->ppago=strtoupper($_POST["select1"]);
	$varible_clase->plimite=strtoupper($_POST["plimite"]);
	$varible_clase->pca=strtoupper($_POST["pca"]);
	
	
	if(!isset($_POST['select']))$_POST['select']="";
	$varible_clase->pvalfact=strtoupper($_POST["select"]);
	
	$varible_clase->gravable=strtoupper($_POST["gravable"]);
	$varible_clase->impuesto=strtoupper($_POST["impuesto"]);
	$varible_clase->cero=strtoupper($_POST["cero"]);
	$varible_clase->otros=strtoupper($_POST["otros"]);
	$varible_clase->gra=strtoupper($_POST["gra"]);
	if(!isset($_POST['sobre']))$_POST['sobre']="";
	$varible_clase->sobre=strtoupper($_POST["sobre"]);
	if(!isset($_POST['zero']))$_POST['zero']="";
	$varible_clase->zero=strtoupper($_POST["zero"]);
	if(!isset($_POST['otro']))$_POST['otro']="";
	$varible_clase->otro=strtoupper($_POST["otro"]);
	if(!isset($_POST['no_gra']))$_POST['no_gra']="";
	$varible_clase->no_gra=strtoupper($_POST["no_gra"]);
	if(!isset($_POST['restringido']))$_POST['restringido']="";
	$varible_clase->restringido=strtoupper($_POST["restringido"]);
	if(!isset($_POST['mini']))$_POST['mini']="";
	$varible_clase->mini=strtoupper($_POST["mini"]);
	if(!isset($_POST['boutique']))$_POST['boutique']="";
	$varible_clase->boutique=strtoupper($_POST["boutique"]);
	if(!isset($_POST['spa']))$_POST['spa']="";
	$varible_clase->spa=strtoupper($_POST["spa"]);
	$varible_clase->concepto=strtoupper($_POST["concepto"]);
	if(!isset($_POST['paid']))$_POST['paid']="";
	$varible_clase->paid=strtoupper($_POST["paid"]);
	$res=$varible_clase->modifica($_POST["bot"]);
//respuesta de modificar
	if($res == "ok"){
		echo '<h2>!!! SE MODIFICO EL REGISTRO !!!</h2>';
		echo '<meta content="1; url=cat_cargos_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO MODIFICAR EL REGISTRO</h2>';
		echo $res;
		echo '<meta content="1; url=cat_cargos_PR.php" HTTP-EQUIV="REFRESH">';
	}    	
?>
</body>
</html>